 #  Release ver. <img src="https://user-images.githubusercontent.com/58849278/130314503-759a2612-4227-4cf4-843c-f85456be1343.png" align=left width=100>

> 잃어버린 당신의 일상을 깨워줄 행복 메이트, 쟈니(Journey)  2021.06.27 ~ 2021.07.17 ➡️
> 모행(Mohaeng) 2021.7.18 ~ 



<p align="center">
<h2 align="center">Journey, happy mate who will wake up your daily life </h2>
<p align="center">
 Journey remind us of things that are important in our daily lives but are forgotten. Journey's unique concept helps users to develop a habit of finding happiness by easily approaching them in their daily life. Users can receive daily greetings via push notifications, and complete random challenges. Also, you can record your own diary and share your small events with other users in Journey's community feed. 
</p>

## Tech Explanation 
<p align="center">
  <img src="https://img.shields.io/badge/Kotlin-1.5.21-yellowgreen?logo=kotlin"/>
  <img src="https://img.shields.io/badge/Arctic Fox | -2020.3.1-blue?logo=Android+Studio"/>
  <img src="https://img.shields.io/badge/targetSdk-30-green?logo=Android"/>
  <img src="https://img.shields.io/badge/minSdk-29-green?logo=Android"/>
</p>
<p align="center">
<h4 align="center">Project Architecture</h4>
<p align="center">
AAC를 사용하여 앱의 수명 주기를 관리하기 쉬운 앱을 디자인하는 라이브러리를 사용합니다. MVVM 아키텍쳐를 기본으로 하며 데이터 개체 매핑 라이브러리 Room, Rxjava, Flowable, Livedata Observable,  Coroutine 등을 활용하여 상용구 코드의 작성 및 메모리 누수와 비정상 종료를 줄여주는 Android 권장 사항을 준수합니다. 
  </p>
  <h4 align="center">Core Value</h4>
  <p align="center">
	1️⃣성장  2️⃣커뮤니케이션  3️⃣책임감  
  </p>
</p>

### 📌  Open Source Library 
 | Library                                                   | Purpose                                                   |
| ------------------------------------------------------------ | ------------------------------------------------------- |
| [Jetpack Compose](https://developer.android.com/jetpack/androidx/releases/compose) | 모양과 데이터 종속 항목을 설명하는 UI  |
| [Activity-KTX](https://developer.android.com/kotlin/ktx/extensions-list) | Activity에서 ViewModel 위임 초기화위해 사용             |
| [Fragment-KTX](https://developer.android.com/kotlin/ktx/extensions-list) | Fragment에서 Shared ViewModel 위임 초기화 위해 사용     |
| [Coroutine](https://developer.android.com/kotlin/coroutines) | 동시 실행 설계 패턴  |
| [Flow](https://developer.android.com/kotlin/flow) | 데이터베이스 실시간 업데이트  |
| [LifeCycle](https://github.com/ausichenko/android-lifecycles) | 생명주기 관리                              |
| [LiveData](https://github.com/ravi8x/LiveData)                   | LifeCycleOwner 관찰자 등록        |  
| [Hilt](https://developer.android.com/jetpack/androidx/releases/hilt) | 의존성 주입                        |  
| [Room](https://developer.android.com/reference/androidx/room/Room?hl=en)                   | Database Object        |
| [Retrofit2](https://github.com/square/retrofit)              | 서버 통신                                               |
| [Gson](https://github.com/google/gson)                       | 서버에서 받아온 Json 객체를 Gson으로 변환               |
| [OkHttp](https://square.github.io/okhttp/)                   | 서버 통신에서 토큰 Interceptor 등 Util 기능 제작에 활용 |
| [Firebase](https://firebase.google.com/)                     | 푸쉬 알람 구현 및 구글 로그인                                             |
| [Paging](https://developer.android.com/jetpack/androidx/releases/paging)                     | Recyclerview 데이터 로드 방식                                             |
| [Glide](https://github.com/bumptech/glide)                   | URL 형식의 이미지          |       
</details>

### 🔗 Service Workflow   			 
[Service Workflow](https://github.com/team-mohaeng/mohaeng-android/wiki/Journey-Workflow)
### 🔖 Preview  			 
[Service Preview](https://www.youtube.com/watch?v=3Yg3qSHMRtY) 

### 📕 Code Convention
[Coding Convention](https://github.com/team-journey/journey-android/wiki/Coding-Convention)
### 📙 Commit Convention
[Commit, branch Convention](https://github.com/team-journey/journey-android/wiki/Commit-Message-and-Branch-Convention)
### 📗 Package Convention
[Package Convention](https://github.com/team-journey/journey-android/wiki/Package-Convention)
### 📘 Kanban board
 [Kanban board](https://www.notion.so/AND-cf17a9d32246486e899e4eb2be8a1396)

## Contributors 
<p align="center">
<h3 align="center">❤️🧡💛💚💙💜</h3>
<h4 align="center">모행로이드</h4>
</p>
<p align="center"><img src="https://user-images.githubusercontent.com/58849278/123736112-7eb28c00-d8db-11eb-86e5-1194b2fbc4f1.jpeg" width = 40%/></p>

<table align="center" style = "table-layout: auto; width: 100%; table-layout: fixed;">
  <colgroup>
    <col style="width:33%"/>
    <col style="width:34%"/>
    <col style="width:33%"/>
  </colgroup>
  <th align="center">🐰박주예🐰</th>
  <th align="center">🐹김기현🐹</th>
  <th align="center">🐶신승민🐶</th>
  <tr>
    <td align="center"><img src="https://github.com/jooyae.png"/></td>
    <td align="center"><img src="https://github.com/teagh82.png"/></td>
    <td align="center"><img src="https://github.com/Seungmin-develop.png"/></td>
  </tr>
  <tr>
    <td><br>
    온보딩<br>
    로그인<br>
   메인<br>
		푸쉬알람<br>
		커뮤니티<br>
		리워드<br>
    </td>
    <td>
    챌린지 진행<br>
    챌린지 달성<br>
	    코스 진행<br>
	    코스 완료<br>
	    다이얼로그<br>
    </td>
    <td>
    비밀번호 찾기<br>
    데이트피커<br>
    다이어리<br>
    내서랍장<br>
    </td>
  </tr>
</table>

<details>
	<summary><b> 🆕 Release Coming Soon</b></summary>
</details>






















